using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("delivery_part_bucket"), PrimaryKey("Year", "DId", "DPNr", "BktNr")]
    public class DeliveryPartBucket {
        [Column("year")]
        public int Year { get; set; }

        [Column("did")]
        public int DId { get; set; }

        [Column("dpnr")]
        public int DPNr { get; set; }

        [Column("bktnr")]
        public int BktNr { get; set; }

        [Column("discr")]
        public required string Discr { get; set; }

        [Column("value")]
        public int Value { get; set; }

        [ForeignKey("Year, DId, DPNr")]
        public virtual DeliveryPart Part { get; private set; } = null!;
    }
}
